PHP Manualen
forrige |  | næste

# DOMDocument->createElement()

(no version information, might be only in CVS)

DOMDocument->createElement() -- Create new element node

## Beskrivelse

class DOMDocument {
DOMElement createElement ( string name [, string value] )
}

This function creates a new instance of class DOMElement. Denne node vil ikke blive vist i dokumentet med mindre den bliver indsat med fx. DOMNode->appendChild().

## Parameterliste

name

  The tag name of the element.

value

  The value of the element. By default, an empty element will be created. You can also set the value later with DOMElement->nodeValue.

## Returneringsværdier

Returns a new instance of class DOMElement or `FALSE` if an error occured.

## Exceptions

`DOM_INVALID_CHARACTER_ERR`

  Raised if name contains an invalid character.

## Eksempler

Eksempel 1. Creating a new element and inserting it as root

`<?php $dom = new DOMDocument('1.0', 'iso-8859-1'); $element = $dom->createElement('test', 'This is the root element!'); // We insert the new element as root (child of the document) $dom->appendChild($element); echo $dom->saveXML(); ?>`

Ovenstående eksempel vil udskrive:

    <?xml version="1.0" encoding="iso-8859-1"?>
    <test>This is the root element!</test>

## Se også

DOMNode->appendChild()
DOMDocument->createAttribute()
DOMDocument->createAttributeNS()
DOMDocument->createCDATASection()
DOMDocument->createComment()
DOMDocument->createDocumentFragment()
DOMDocument->createElementNS()
DOMDocument->createEntityReference()
DOMDocument->createProcessingInstruction()
DOMDocument->createTextNode()

forrige | hjem | næste
DOMDocument->createDocumentFragment() | op | DOMDocument->createElementNS()